<!doctype html>
<html>
	<head>
	   <!-- Required meta tags -->
	   <meta charset="utf-8">
	   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	   <!-- Bootstrap CSS -->
	   <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
	   <!-- Optional JavaScript -->
	   <!-- jQuery first, then Popper.js, then Bootstrap JS -->
	   <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
	   <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
	   <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
	   <script>
	   	function swap_text() {
	   		//console.log(document.getElementById("expand_button_text").text);
	   		if (document.getElementById("expand_button_text").text == "Show More") {
	   			document.getElementById("expand_button_text").text = "Show Less";
	   		}
	   		else { //button says "Show Less"
	   			document.getElementById("expand_button_text").text = "Show More";
	   		}
	   	}

	   	function swap_text_small() {
	   		//console.log(document.getElementById("expand_button_text").text);
	   		if (document.getElementById("expand_button_text_2").text == "Show More") {
	   			document.getElementById("expand_button_text_2").text = "Show Less";
	   		}
	   		else { //button says "Show Less"
	   			document.getElementById("expand_button_text_2").text = "Show More";
	   		}
	   	}
	   </script>

	   <!--fonts; use with: <style="font-family:Acme;">-->
	   <link href="https://fonts.googleapis.com/css?family=Acme" rel="stylesheet">

	   <title>Homepage</title>

	   <style>
		   	html, body {
			   width: 100%;
			   height: 100%;
			   margin: 0px;
			   padding: 0px;
			   overflow-x: hidden; 
			   font-size: 1.5vmin;
			}

			img {
				width: 100%;
			}

		   	.bg {
		   		background-color: rgb(150, 255, 255);
		   	}

		   	.bg_nav_col {
		   		background-color: rgb(100,100,100);
		   		height: 100vh;
		   	}

		   	.nav-link {
		   		color: rgb(50, 100, 100);
		   	}

		   	.nav-link:focus,
	   		.nav-link:hover,
	   		.active_nav {
	   			color: rgb(100,255,255) !important;
	   			background-color: rgb(50,100,100) !important;
	   			border-style: solid;
		   		border-width: 0px 0px 10px 0px; /* t,r,b,l */
		   		border-color: rgb(50,150,150);
	   		}

	   		.nav_style {
	   			color: rgb(200,200,200);
	   			background-color: rgb(50, 155, 155);
	   		}

	   		.nav_border {
	   			border-style: solid;
	   			border-width: 5px 20px;
	   			border-color: rgb(200, 255, 255) rgb(25, 50, 50) rgb(25, 50, 50) rgb(200, 255, 255);
	   		}

	   		.portrait {
	   			object-fit: cover;
	   		}

	   		.container {
	   			position: relative;
	   		}

	   		.centered {
	   			position: absolute;
	   			top: 50%;
	   			left: 50%;
	   			transform: translate(-50%, -50%);
	   		}
	   </style>

	   <body>
	   		<div class="bg" style="height: 100vh; width: 100vw;">
			   	<!-- header -->
			   	<div class="row" style="background-color: rgb(100, 200, 200); overflow: hidden;">
			   		<!-- header for landscape phones up to desktop windows -->
			   		<div class="col-12 d-none d-sm-block px-0" style="background-color: rgb(100, 200, 200);">
				   		<div style="position: relative;">
				   			<div id="header" class="carousel slide" data-ride="carousel" style="height: 30vh;">
								<!-- The slideshow -->
								<div class="carousel-inner">
									<div class="carousel-item active" style="transform: translate(0,-50%);">
										<img src="photos/code.png">
									</div>
									<div class="carousel-item" style="transform: translate(0,-50%);">
										<img src="photos/derby_unity.png">
									</div>
									<div class="carousel-item" style="transform: translate(0,-50%);">
										<img src="photos/home_win.png">
									</div>
									<div class="carousel-item" style="transform: translate(0,-50%);">
										<img src="photos/homecoming_concept.JPG">
									</div>
								</div>
							</div>
						</div>

				   		<div class="container centered">
				   			<img src="photos/notebook_paper_tilt_left.png" class="centered" style="width: 50vmax;">
				   			<div class="row justify-content-center text-center px-0 py-5 centered">
					   			<div>
					   				<a style="font-family: Acme; font-size: 400%;">
					   					Drake Pamplin
					   				</a>
					   				</br>
					   				<a style="font-family: Acme; font-size: 200%;">
					   					Game Dev - Programmer - 3D Artist
					   				</a>
					   			</div>
				   			</div>
				   		</div>
			   		</div>

			   		<!-- header for portrait phones -->
			   		<div class="col-12 d-sm-none">
			   			<div style="position: relative;">
				   			<div id="header" class="carousel slide" data-ride="carousel" style="height: 20vh;">
								<!-- The slideshow -->
								<div class="carousel-inner">
									<div class="carousel-item active" style="height: 20vh; transform: translate(0,-50%);">
										<img src="photos/code.png">
									</div>
									<div class="carousel-item" style="height: 20vh; transform: translate(0,-50%);">
										<img src="photos/derby_unity.png">
									</div>
									<div class="carousel-item" style="height: 20vh; transform: translate(0,-50%);">
										<img src="photos/home_win.png">
									</div>
									<div class="carousel-item" style="height: 20vh; transform: translate(0,-50%);">
										<img src="photos/homecoming_concept.JPG">
									</div>
								</div>
							</div>
						</div>

						<div class="container centered">
				   			<img src="photos/notebook_paper_tilt_left.png" class="centered" style="width: 50vmax;">
				   			<div class="row justify-content-center text-center px-0 py-5 centered">
					   			<div>
					   				<a style="font-family: Acme; font-size: 400%;">
					   					Drake Pamplin
					   				</a>
					   				</br>
					   				<a style="font-family: Acme; font-size: 200%;">
					   					Game Dev - Programmer - 3D Artist
					   				</a>
					   			</div>
				   			</div>
				   		</div>
			   		</div>
				</div>
				
				<!-- navbar -->
				<div class="row">
	   				<div class="col-12 d-none d-md-block text-center" style="background-color: rgb(100, 200, 200);">
	   					<!-- navbar -->
						<div class="row">
							<!-- navbar collapses into verticle expandable when screen shrinks -->
							<div class="col-12 px-0">
								<nav class="navbar navbar-expand-lg justify-content-center px-0 py-0" style="background-color: rgb(100, 200, 200); width: 100%;">
									<button onclick="swap_text()" class="navbar-toggler expand rounded-0 nav_border" style="width:100%;" type="button" data-toggle="collapse" data-target="#rbs_Navbar">
										<a id="expand_button_text" style="font-size:200%; font-family:Acme;">Show More</a>
									</button>

									<div class="collapse navbar-collapse" id="rbs_Navbar">
										<ul class="navbar-nav nav-fill w-100">
											<li class="nav-item">
												<a class="nav-link active_nav" style="font-size:200%; font-family:Acme;" href="#">About Me</a>
											</li>
											<li class="nav-item red">
												<a class="nav-link" style="font-size:200%; font-family:Acme;" href="#">Contact</a>
											</li>
											<li class="nav-item purple">
												<a class="nav-link" style="font-size:200%; font-family:Acme;" href="#">Projects</a>
											</li>
											<li class="nav-item green">
												<a class="nav-link" style="font-size:200%; font-family:Acme;" href="#">3D Modeling</a>
											</li>
											<li class="nav-item green">
												<a class="nav-link" style="font-size:200%; font-family:Acme;" href="#">Animations</a>
											</li>
										</ul>
									</div>
								</nav>
							</div>
						</div>
	   				</div>

	   				<div class="col-12 d-md-none text-center" style="background-color: rgb(100, 200, 200);">
	   					<!-- navbar -->
						<div class="row">
							<!-- navbar collapses into verticle expandable when screen shrinks -->
							<div class="col-12 px-0">
								<nav class="navbar navbar-expand-lg justify-content-center px-0 py-0" style="background-color: rgb(100, 200, 200); width: 100%;">
									<button onclick="swap_text_small()" class="navbar-toggler expand rounded-0 nav_border" style="width:100%;" type="button" data-toggle="collapse" data-target="#rbs_Navbar_2">
										<a id="expand_button_text_2" style="font-size:400%; font-family:Acme;">Show More</a>
									</button>

									<div class="collapse navbar-collapse" id="rbs_Navbar_2">
										<ul class="navbar-nav nav-fill w-100">
											<li class="nav-item">
												<a class="nav-link active_nav" style="font-size:400%; font-family:Acme;" href="#">About Me</a>
											</li>
											<li class="nav-item red">
												<a class="nav-link" style="font-size:400%; font-family:Acme;" href="#">Contact</a>
											</li>
											<li class="nav-item purple">
												<a class="nav-link" style="font-size:400%; font-family:Acme;" href="#">Projects</a>
											</li>
											<li class="nav-item green">
												<a class="nav-link" style="font-size:400%; font-family:Acme;" href="#">3D Modeling</a>
											</li>
											<li class="nav-item green">
												<a class="nav-link" style="font-size:400%; font-family:Acme;" href="#">Animations</a>
											</li>
										</ul>
									</div>
								</nav>
							</div>
						</div>
	   				</div>
	   			</div>

	   			<div class="row">
	   				<div class="col-md-6" style="background-color: blue;">Box 1</div>
	   				<div class="col-md-6" style="background-color: green;">Box 2</div>
	   			</div>
	   		</div>
	   </body>
	</head>
</html>